mia (2.4.7-1build4) hirsute; urgency=medium

  * Rebuild against new libdcmtk15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Nov 2020 19:12:29 +0100

mia (2.4.7-1build3) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 17:16:27 +0200

mia (2.4.7-1build2) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 16 May 2020 06:08:15 +0000

mia (2.4.7-1build1) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 22:17:46 +0000

mia (2.4.7-1) unstable; urgency=medium

  * New upstream version 2.4.7 Closes: #957536
  * d/control: Update mailinglist
  * d/p: remove patches applied upstream
  * d/rules: disable nipype because it is currently not available on python3
  * d/rules: remove --as-needed

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 14:00:20 +0200

mia (2.4.6-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Gert Wollny ]
  * d/control: Switch dependencies to python3 Closes: #943114

 -- Gert Wollny <gewo@debian.org>  Wed, 23 Oct 2019 11:00:04 +0200

mia (2.4.6-4) unstable; urgency=medium

  * d/control, d/compat: Update to version 12~ and standards 4.3
  * d/rules: remove dh_builddeb -- -Z xz

 -- Gert Wollny <gewo@debian.org>  Sat, 12 Jan 2019 19:20:36 +0100

mia (2.4.6-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove invalid fields from debian/upstream/metadata
  * Remove Watch field from debian/upstream/metadata

  [ Gert Wollny ]
  * d/*: run cme fix dpkg
    - fix VCS urls
    - fix d/copyright format URL
  * d/control: build using libvtk7-dev
  * d/* update standards to 4.2.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Sun, 09 Sep 2018 19:51:10 +0200

mia (2.4.6-2) unstable; urgency=medium

  * d/p/mia_226_glibc_227: use numeric_limits::max() Closes: #891337
  * d/rules: drop superfluous --parallel in dh command

 -- Gert Wollny <gewo@debian.org>  Tue, 06 Mar 2018 11:21:28 +0100

mia (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6

 -- Gert Wollny <gewo@debian.org>  Sun, 05 Nov 2017 17:58:55 +0100

mia (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5
  * d/control: Update standards to 4.1.1  (no changes required)

 -- Gert Wollny <gewo@debian.org>  Mon, 16 Oct 2017 12:19:10 +0200

mia (2.4.4-2) unstable; urgency=medium

  * d/rules: Reduce build-time memory usage on mips/mipsel to fix FTBFS
    Thanks: Adrian Bunk, Closes: #865615
  * d/control: Update standards version to 4.0.0

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Jun 2017 08:07:43 +0000

mia (2.4.4-1) unstable; urgency=medium

  * Re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Wed, 21 Jun 2017 05:46:59 +0000

mia (2.4.4-1~exp2) experimental; urgency=medium

  * d/control: Add breaks/replaces, closes: #859578

 -- Gert Wollny <gewo@debian.org>  Fri, 07 Apr 2017 06:40:32 +0000

mia (2.4.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.4.4
  * d/p: remove patches applied upstream
  * d/control:
       - update DD address
       - update package names to new so-version
  * d/: Update install and overrides to new so-version
  * d/control, d/compat: move to new debhelper version

 -- Gert Wollny <gewo@debian.org>  Tue, 21 Mar 2017 22:32:27 +0000

mia (2.4.3-5) unstable; urgency=medium

  * d/p: Add patch to handle new 64-bit hid_t in hdf5-1.10

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 09 Dec 2016 11:30:48 +0000

mia (2.4.3-4) unstable; urgency=medium

  * d/p/correct... patch to fix buil dependencies Closes: #844140

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 25 Nov 2016 14:08:49 +0000

mia (2.4.3-3) unstable; urgency=medium

  * Add patches to secure locking and help-xml output
    - help to alliviate double unlocking of mutexes
    - make sure --help-xml output is really written
    - Related to #844140

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 16 Nov 2016 08:21:35 +0000

mia (2.4.3-2) unstable; urgency=medium

  * d/p/path_max: Add patch to define PATH_MAX on hurd

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 25 Aug 2016 11:28:56 +0000

mia (2.4.3-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3
  * d/p: remove patches applied upstream

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 24 Aug 2016 16:37:47 +0000

mia (2.4.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 22 Aug 2016 11:44:47 +0000

mia (2.4.2-1~exp2) experimental; urgency=medium

  * d/control: correctly remove dependency from libtbb-dev
  * d/control: add Breaks/Replaces for libmia-2.4-doc, Closes: #834072

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 19 Aug 2016 17:13:30 +0000

mia (2.4.2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.4.2
  * Update package to new upstream version
    - rename versioned package to 2.4
    - add dependency on libjs-mathjax
    - remove dependency on doxygen-latex
    - remove dependency on libtbb-dev
  * Remove patches that were applied upstream
  * Add patch to replace boost::regex by std::regex
  * Add conflict for dev package
  * split out the doctools scripts into extra package
  * add patch to fix most spelling errors
  * cme fix dpkg-control

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 23 Jul 2016 14:40:04 +0000

mia (2.2.7-6) unstable; urgency=medium

  * d/p/04, d/control, d/rules: separate doc build and
    switch to automatic debug symbols

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 30 May 2016 11:43:01 +0000

mia (2.2.7-5) unstable; urgency=medium

  * d/p/03: Fix compilation against BOOST 1.60.
    thanks: Gianfranco Costamagna
  * d/control: Update standards version to 3.9.8

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Apr 2016 15:52:49 +0000

mia (2.2.7-4) unstable; urgency=medium

  * d/p/02: Add patch for stricter includes Closes: #822503

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 25 Apr 2016 10:19:45 +0000

mia (2.2.7-3) unstable; urgency=medium

  * d/control: Depend libmia-2.2-dev on libgsl-dev Closes: #811379
    Thanks Andreas Beckmann for reporting

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 11 Jan 2016 07:11:04 +0100

mia (2.2.7-2) unstable; urgency=medium

  * d/control: switch build dependency from libgsl0-dev
    to libgsl-dev
  * Add patch 01_ for spelling corrections

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 24 Nov 2015 20:21:28 +0100

mia (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * remove patches 02/03 because they are applied upstream
  * remove patch 01 and use the doxygen embedded jquerywith treeview
    Rationale: src::doxygen://debian/README.jquery

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 29 Oct 2015 14:56:33 +0100

mia (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Remove patch 02_doxygen_use_svg.. because it was applied upstream
  * Add patch 02 to correct build on armhf
  * Add patch 03 to correct tests that fail on arm64 and ppc64el
  * change dependency to libdcmtk-dev (i.e. without version)

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 26 Oct 2015 12:21:29 +0100

mia (2.2.5-1) unstable; urgency=medium

  * new upstream
  * d/patches/* remove patches since they are now included upstream:
    02-manpage-correction-patch, 03_correct_instanciation..
    04_correct_flag_outstream, 05_remove_timestamp_from_doxygen
  * d/* bump so-version of the library package because of ABI change.
    This also takes care of the needed gcc-5 transition
  * add doxygen-latex to the build-dependencies
  * add patch 02_doxygen_use_svg_graphs.patch to create the class
    graphs as svg images instead of png.

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 29 Sep 2015 23:20:10 +0200

mia (2.2.3-2) unstable; urgency=medium

  * Backport from experimental
  * Add patch to build with g++-5, Closes: #778005
  * Add patch to remove time stamp from Doxygen created docu
  * Add patch to correct compile problemd with g++ >= 4.9.2

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 29 May 2015 12:21:43 +0200

mia (2.2.3-1) experimental; urgency=medium

  * New upstream version
  * Add doctools to libmia-2.2-dev package
  * Add nipype interfaces to mia-tools package
  * Add a patch to clean up some lintian warnings in the man pages
    that didn't make it into the upstream release package.

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 08 Jan 2015 15:17:14 +0100

mia (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 3.9.6
  * Relax nlopt version to 2.2.3 since it is sufficient

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 09 Oct 2014 13:54:54 +0200

mia (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patch 02_float_test_close_powerpc_accuracy.patch since
    it was incorporated into the upstream sources.
  * Add signing key and pgpsigurlmangle to watch file
  * override shlib-calls-exit for libmia-2.2-0 package, since the help
    option of the command line parser must call exit
  * Add graphviz to the build dependencies since graphviz only suggests it.

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 17 Sep 2014 16:53:41 +0200

mia (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Change library and devel packages from 2.0 to 2.2 because of
    ABI and API changes
  * Tighten dependency on BOOST packages
  * Add dependency on libeigen3-dev, libhdf5-dev, and libnifti-dev
  * Transition libvtk6-dev
  * Add patch 02_float_test_close_powerpc_accuracy.patch to
    correct test on powerpc
  * Fix typos in control file, Closes: #743801, Closes: #743802
  * Add libmia-2.2-doc replaces/breaks libmia-2.0-doc

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 02 Sep 2014 15:23:04 +0200

mia (2.0.13-1) unstable; urgency=medium

  * New Upstream release
  * Move build dependency to virtual package libtiff-dev
  * Update standards version to 3.9.5
  * Work around YAML issues when reading value '8:20'

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 17 Jan 2014 13:06:19 +0100

mia (2.0.12-1) unstable; urgency=low

  [ Gert Wollny ]
  * New upstream release
  * correct entries for maintainers and uploaders
  * correct application of linker flag "-Wl,--as-needed"
  * remove CXXFLAGS in rules since this is now taken care of in
    the build system

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 27 Nov 2013 12:40:20 +0100

mia (2.0.11-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release
  * Add debian/upstream file

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 15 Oct 2013 12:53:49 +0200

mia (2.0.10-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 01 Jul 2013 15:35:25 +0200

mia (2.0.9-1) unstable; urgency=low

  * Upstream version bump
  * Fix "FTBFS on i386: 3 tests failed out of 228" - Lower accuracy
    in floating-point related tests to account for the lower number of
    available FB registers on i386       (Closes: #705383)
  * Fix "FTBFS on architectures such as ia64 lacking SSE or Altivec
    support" - test for availability of SSE or Altivec in the build and
    disable according modules if not available (Closes: #705384)
  * Temporal work around "FTBFS on powerpc: test suite hangs" by forcing the
    number of running threads to 1 on powerpc and with threading building
    blocks version lower than 4.1u2 (see: #705385)
  * Fix package dependencies by also scanning all plug-in modules.
  * Fix regression in 3d image scaler
  * Change VTK vector field output target

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 26 Apr 2013 14:02:50 +0200

mia (2.0.8-1) unstable; urgency=low

  * Initial release (Closes: #694437)

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 28 Feb 2013 13:09:30 +0100
